Page MenuHomePhabricator

Cron script to run the script to remove old translation drafts regularly
Closed, ResolvedPublic

Description

As part of the efforts to remove very old drafts from the CX database (T183890), automatic runs of the script created in T189087 are needed.

It can be run every month or every week.

Details

Related Gerrit Patches:
operations/puppet : productionCron to run script to purge old CX drafts

Event Timeline

Pginer-WMF triaged this task as Medium priority.Mar 7 2018, 8:58 AM
Pginer-WMF created this task.
Pginer-WMF raised the priority of this task from Medium to High.Jun 26 2018, 7:45 AM
KartikMistry lowered the priority of this task from High to Medium.

The manual runs are only down to 1150 days – having the cron job do a huge deletion from 1150 to 456 days during the first run should be avoided.

The manual runs are only down to 1150 days – having the cron job do a huge deletion from 1150 to 456 days during the first run should be avoided.

Yes. Plan to is do set of another runs before we down to significant lower numbers of drafts.

Yes. Plan to is do set of another runs before we down to significant lower numbers of drafts.

Can you create tickets for those runs and add them to the "maintenance backlog" of the Language-2018-July-September board?

Change 486454 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/puppet@production] WIP: Cron to run script to purge old CX drafts

https://gerrit.wikimedia.org/r/486454

Change 486454 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/puppet@production] Cron to run script to purge old CX drafts

https://gerrit.wikimedia.org/r/486454

Script will run at every 15 days on 3rd and 15th of every month.

Change 486454 merged by Alexandros Kosiaris:
[operations/puppet@production] Cron to run script to purge old CX drafts

https://gerrit.wikimedia.org/r/486454

KartikMistry added a comment.EditedApr 1 2019, 5:50 PM

I'll close this after observing output on Wednesday ie 03rd April.

Verified first run output and it seems good. Purged 728 drafts.

Verified first run output and it seems good. Purged 728 drafts.

@KartikMistry, can we mark the ticket as resolved then? or further checks are needed?

KartikMistry closed this task as Resolved.Apr 5 2019, 2:37 PM

Resolving.